const co = require('co');
const join = require('path').join;
const uninstall = require('npminstall/lib/uninstall');

const rootDir = process.cwd();

co(function* () {
  yield uninstall({
    root: rootDir,
    pkgs: [
      { name: 'mkdirp', version: 'latest' },
    ],
    targetDir: rootDir,
    binDir: join(rootDir, 'node_modules', '.bin'),
  });
}).catch(err => {
  console.error(err.stack);
});